AliveCor Mobile ECG

Device Compatibility

Buy Now
Buy Now
Supported Devices 3rd generation Mobile ECG 3rd gen Mobile ECG + 5/5s case 2nd generation Mobile ECG 2nd gen Mobile ECG + 5/5s case 1st generation Mobile ECG
Samsung Note 3 Android 4.0 and higher required Compatible with
  • 3rd generation Mobile ECG
  • 2nd generation Mobile ECG
  • Galaxy S5 Android 4.0 and higher required Compatible with
  • 3rd generation Mobile ECG
  • 2nd generation Mobile ECG
  • Galaxy S4 Android 4.0 and higher required Compatible with
  • 3rd generation Mobile ECG
  • 2nd generation Mobile ECG
  • Galaxy S3 Android 4.0 and higher required Compatible with
  • 3rd generation Mobile ECG
  • 2nd generation Mobile ECG
  • HTC One M7 Android 4.0 and higher required Compatible with
  • 3rd generation Mobile ECG
  • 2nd generation Mobile ECG
  • iPad Air iOS 7.0.x through 8.0.x required Compatible with
  • 3rd generation Mobile ECG
  • 2nd generation Mobile ECG
  • iPad mini iOS 7.0.x through 8.0.x required Compatible with
  • 3rd generation Mobile ECG
  • 2nd generation Mobile ECG
  • iPhone 6 iOS 8.0.x required Compatible with
  • 3rd generation Mobile ECG
  • 2nd generation Mobile ECG
  • iPhone 6 Plus iOS 8.0.x required Compatible with
  • 3rd generation Mobile ECG
  • 2nd generation Mobile ECG
  • iPhone 5 / 5s iOS 5.1 through 8.0.x required Compatible with
  • 3rd generation Mobile ECG
  • 3rd generation Mobile ECG with iPhone 5/5s case
  • 2nd generation Mobile ECG
  • 2nd generation Mobile ECG with iPhone 5/5s case
  • iPhone 5c iOS 5.1 through 8.0.x required Compatible with
  • 3rd generation Mobile ECG
  • 2nd generation Mobile ECG
  • iPhone 4 / 4s iOS 5.1 through 8.0.x required Compatible with
  • 3rd generation Mobile ECG
  • 2nd generation Mobile ECG
  • 1st generation Mobile ECG
  • iPod Touch 5G iOS 5.1 through 8.0.x required Compatible with
  • 3rd generation Mobile ECG
  • 2nd generation Mobile ECG
  • Jitterbug Touch 2 Android 4.0 and higher required Compatible with
  • 3rd generation Mobile ECG
  • 2nd generation Mobile ECG
  • Jitterbug Touch 3 Android 4.0 and higher required Compatible with
  • 3rd generation Mobile ECG
  • 2nd generation Mobile ECG